RSM Phase Il - Feature #613

[ESS]_Individual Development Evaluation _ Engagement Information_Appraisal Criteria
12/06/2021 03:23 PM - ericsson ericsson

Status: Closed Start date: 12/06/2021
Priority: Immediate Due date:

Assignee: ericsson ericsson % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear, Team Developer.

Mohon bantuannya untuk ESS Individual Development Evaluation pada form Engagement Information nama table structure
PDSWFPMSREVIEWENGAGEMENT bisa get dari Master Data PROJECTENGAGEMENT dengan fied2 sebagai berikut :

Table Name PDSWFPMSREVIEWENGAGEMENT
Field Name (EIAssCode, EIAssName, EIAssHours, EINameOfClient, EIPossitionAss)
~ pld
Requester Name: i Division:

B My Report q Wagiyono
AP Level
Employee 1D: Subject:
I Appraisal ey g

Requester ID: 00000002 Description:

I Partner Probationary

Evaluation

Performance Goal Setting

.~ Engagement Information

Name of Client Total Assigment Hours:
Assignmet Type: Total Engagement Hours:
Performance Final
Assignmet Name: Manager in Charge:
Master Data Update
Assignmet Code: Partner in Charge:

Time Management

Training Management Paosition in Assigment:

e e  To be completed by employee and supervisor

Travel Management
»~, To be completed by employee
I ESS Request

© Add | 1] Delete

Performance in Engageme.. | Managerin Charge = Manager Comme..  PartnerinChar.. | Partner Comment

Get data dari :
Table Name PROJECTENGAGEMENT
Field Name (AssignmentCode, Assignment, ActualHours, Client, POSITIONINASSIGN)
SERVERTT\SOLSE... MWFDEFTAELEEODY

SERVER7TT\SOLSERV...Prod - dbo.SMENU

SERVER7M\SOLSERV...d - dbo SMENUTXT

SERVER7T\SOLSERV....SDATATABLEFIELD X H

Column Alias Table Outp.. Sort Type Sort Order Filter Or... 2
3 TableMame SDATATAB... = 'PROJECTENGAGEMENT
FieldMame SDATATAB...
SeqNum SDATATAB... v
£ >
TableMame FieldMame SeqMum DataRef DataType Length Prec Scale
PROJECTEMGAGEMENT ActualHours 9 ACTHOURS 0 8 ] 0
PROJECTEMGAGEMENT Ap 5 AP 0 8 ] 0
PROJECTEMGAGEMENT Assignment 3 ASSIGN 0 100 ] 0
PROJECTEMGAGEMENT AssignmentCode 1 ASSIGNCODE 0 50 ] 0
PROJECTEMGAGEMENT AssignmentDivision 15 ASSDIV 0 20 ] 0
PROJECTEMGAGEMENT AssignmentStatus 1 ASSIGNSTAT 0 a8 1] 0
PROJECTEMGAGEMENT BatasPenyampain 16 BATPEMY] 0 20 1] 0
PROJECTEMGAGEMENT Client 2 CLIENT 0 50 0 0
PROJECTEMGAGEMENT DateofReceived 13 DATEQFRECEV O 20 0 0
PROJECTEMGAGEMENT Division 14 ORGLEVEL2 0 20 0 0
PROJECTEMGAGEMENT DownloadDate 12 DOWMLOADATE O 20 0 0
PROJECTEMGAGEMENT FinalDate 10 FINALDATE 0 20 0 0
PROJECTEMGAGEMENT LEVEL 7 LWL 0 50 0 0
PROJECTEMGAGEMENT Mame 4 MNAME 0 50 0 0
» PROJECTEMGAGEMENT POSITIOMNINASSIGN 8 POSINASSIGN 0 50 0 0
PROJECTEMGAGEMENT STATUS 6 STATUS 0 50 ] 0
M NULL NULL MNULL NULL NULL MNULL NULL NULL
Port 61122
server 77 2014
db rsm prod
Terima Kasih
History

#1 - 12/06/2021 03:24 PM - ericsson ericsson

- Status changed from New to Assigned

#2 - 12/06/2021 05:22 PM - Mr. Yusuf
PCMWFCUSTPARAM

ID: PMSGetGSFromK
SQL:
--DECLARE @EmployeelD VARCHAR = '00000002' DECLARE @now VARCHAR = dbo.fn_formatdatetime(GETDATE, 'yyyymmdd')

SELECT

" AS 'ActionsRequiredforFollowup_49',

" AS 'ContigencyPlans_49',

" AS 'EndDate_49',

ROW_NUMBER() OVER AS 'Goals',
om01.0bjectDescription AS 'KPIGroup_49',
" AS 'MeasuresAchievement_49',

" AS 'PlanToExecuteTasks_49',

" AS 'ResourcesNeeded 49',

" AS 'StartDate_49',

" AS 'Target_49'

FROM PHROMO0002 om02

INNER JOIN PHROMO0001 om01 ON om02.0bjectID = om01.0ObjectID
WHERE om02.0bjectID in ("00000001','00000002','00000003'")
AND om02.0bjectClass = 'K'

AND om02.RelationshipClass = 'KG'

AND om02.StartDate <= @now

AND om02.EndDate >= @now

AND om01.0bjectClass = 'K’

AND om01.StartDate <= @now

AND om01.EndDate >= @now

DEFBIZPROC
BizProcessID: PMS_Goal
OnDocAfterRender:

var body = MinovaUtil. WORKFLOW.getViewBodyWorkflow();

var taskID = MinovaUtil. WORKFLOW.getTaskld();

var EmpID = MinovaUtil. WORKFLOW.getEmpld();
//body.down('field[name=AppraisalType_47]').setValue('G');

/Ivar gridStore = Ext.StoreManager.lookup('storePHRPAQ048ESS');

var gridStore49_GS = Ext.StoreManager.lookup('storePHRPAO049ESS1");
var gridStore49_|IDP = Ext.StoreManager.lookup('storePHRPA0049ESS2');

if (taskID 'start' || tasklD 'create' || taskID ==") {
/-

MinovaUtil. ExecuteParamQuery({

ID: 'PMSDefaultApprG',

empid_requester: MinovaUtil. WORKFLOW.getEmpld(),
now: MinovaUtil. GetNowDate()

}, function (s) {

try {

var result = Ext.decode(s.responseText).data;
var dataGrid = Ext.decode(Ext.decode(result));
gridStore.loadData(dataGrid);

} catch (e) {}

}, function (e) {});

*/

MinovaUtil. ExecuteParamQuery({

ID: 'PMSGetGSFromK',

EmployeelD: EmpID,

now: MinovaUtil. GetNowDate()

}, function (s) {

try {

var result = Ext.decode(s.responseText).data;
var dataGrid = Ext.decode(Ext.decode(result));
gridStore49_GS.loadData(dataGrid);

} catch (e) {}

}, function (e) {});

MinovaUtil.ExecuteParamQuery ({
ID: 'PMSGetIDPFromK',
EmployeeID: EmpID,
now: MinovaUtil.GetNowDate ()
}, function (s) {
try {

var result = Ext.decode(s.responseText) .data;
var dataGrid = Ext.decode (Ext.decode (result));

gridStore49_IDP.loadData (dataGrid);
} catch (e) {}
}, function (e) {});

var AppraisalType = Ext.ComponentQuery.query ('[name=AppraisalType_47]"') [0].getValue();

/*
var Sequence = Ext.ComponentQuery.query (' [name=Sequence_47]"') [0];
var Dt = null;

MinovaUtil.ExecuteParamQuery ({
ID: "WFPMSGETSEQHEADER",
EmpID: EmpID,
AppType: AppraisalType
}, function (s) {
var result = Ext.decode(s.responseText);
Dt = Ext.decode (Ext.decode (result.data));
if (Dt.length > 0) {
Sequence.setValue (Dt [0] .NextSeq)
}
}, function (f) {});

Ext.ComponentQuery.query (' [name=EmployeeID_47]"') [0] .setValue (EmpID) ;
=y
} else {
if (taskID != 'revise_creator')
{
body.down ('button[name=PHRPAO049ESS1Add] ') .hide () ;
body.down ('button[name=PHRPAO049ESS1DeleteText] ') .hide () ;

}
}

setTimeout (function () {

//Ext .ComponentQuery.query (" [name=gridPHRPAO048ESS]") [0] .view.refresh () ;
Ext.ComponentQuery.query (" [name=gridPHRPAO049ESS1]") [0] .view.refresh();
Ext.ComponentQuery.query (" [name=gridPHRPAO049ESS2]") [0] .view.refresh();
}, 5000);

/*

body.down ('button[name=PHRPAO048ESSAdd] ") .hide () ;
body.down ('button[name=PHRPAQ048ESSDeleteText]"') .hide () ;
=/

#3 - 12/06/2021 06:36 PM - ericsson ericsson
clipboard-202112061833-mnxs4.png

Untuk Field Manager dan partner, lookUp dari table ROJECTENGAGEMENT dengan memfilter field assignment code dan tidak sama dengan

employeelD user login.

#4 - 12/07/2021 08:30 AM - Mr. Yusuf

- Assignee changed from Mr. Yusuf to Saswanto Tampan

#5 - 12/15/2021 04:43 PM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to ericsson ericsson

#6 - 12/28/2021 02:21 PM - ericsson ericsson
- Status changed from QA Test to Closed
